void editList(){//choose a list and edit its midi commands
  
  if(once1 == 0){
    i=0;
   once1 = 1;
  goto here;//run menu once to print to display
}

  if (digitalRead(setbup) == 0){
here://used to initialize the menu when settings first called
delay(250);
i = i+1;
if (i>5){i=1;}
  TCA9548A(2);
  mainDisplay.setTextColor(WHITE);  
  mainDisplay.setTextSize(1);
  mainDisplay.clearDisplay();
  mainDisplay.setCursor(40,10);
  mainDisplay.print("EDIT");
  mainDisplay.setTextSize(2);  
  mainDisplay.setCursor(15,30);
  mainDisplay.print("LIST");
  mainDisplay.setCursor(65,30);
  mainDisplay.print(i);
  mainDisplay.display();
  }
 if (digitalRead(setbdown) == 0){
delay(250);
i = i-1;
if (i<1){i=5;}
  TCA9548A(2);
  mainDisplay.setTextColor(WHITE);  
  mainDisplay.setTextSize(1);
  mainDisplay.clearDisplay();
  mainDisplay.setCursor(40,10);
  mainDisplay.print("EDIT");
  mainDisplay.setTextSize(2);  
  mainDisplay.setCursor(15,30);
  mainDisplay.print("LIST");
  mainDisplay.setCursor(65,30);
  mainDisplay.print(i);
  mainDisplay.display();
  }
if (digitalRead(setbright) == 0){//print and manipulate array
delay(250);
switch (i){
case 1:
memmove(editPreset,preset1, sizeof(preset1));
break;
case 2:
memmove(editPreset,preset2, sizeof(preset2));
break;
case 3:
memmove(editPreset,preset3, sizeof(preset3));
break;
case 4:
memmove(editPreset,preset4, sizeof(preset4));
break;
case 5:
memmove(editPreset,preset5, sizeof(preset5));
break;

}

 mainDisplay.setTextColor(WHITE);  
  mainDisplay.setTextSize(1);
  mainDisplay.clearDisplay();
  mainDisplay.setCursor(20,10);
  mainDisplay.print("EDITING LIST ");
  mainDisplay.print(i);
  mainDisplay.setTextSize(2);  
  mainDisplay.setCursor(5,30);
  cmdtype = ("%d ", editPreset[0][i]);//load in to cmtype to resolve NN NF CC PC below  
  mainDisplay.print(mType[cmdtype]);
  mainDisplay.setCursor(30,30);
mainDisplay.printf("%d ", editPreset[2][i]);
mainDisplay.setCursor(70,30);
mainDisplay.printf("%d ", editPreset[3][i]);
  mainDisplay.display();
}


if (digitalRead(setbleft) == 0){//
  TCA9548A(2);
  mainDisplay.clearDisplay();
  mainDisplay.setTextSize(1);
  mainDisplay.setTextColor(WHITE);
  mainDisplay.setCursor(0,30);
  mainDisplay.print("Exit");
  mainDisplay.setCursor(0,40);
  mainDisplay.print("  < up   dwn >");
  mainDisplay.display();
       delay(500);
  mainDisplay.clearDisplay();
  mainDisplay.setTextSize(1.5);
  mainDisplay.setTextColor(WHITE);
  mainDisplay.setCursor(15,2);
  mainDisplay.print("DESIGNERTRONICS");
     mainDisplay.display();
    return;
    return;
 }
editList();
}